org.apache.ode.bpel.compiler.bom

## Class SwitchActivity

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
    - - org.apache.ode.bpel.compiler.bom.Activity
      - - org.apache.ode.bpel.compiler.bom.SwitchActivity

- All Implemented Interfaces:
    SourceLocation

      public class SwitchActivity
      extends Activity

  Legacy (BPEL 1.1) representation of a `<switch>` activity.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SwitchActivity.Case` BPEL object model representation of `<case>` and `<otherwise>` elements.

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `JoinFailureSuppressor.SuppressJoinFailure`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `__suppressJoinFailure`

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwitchActivity(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SwitchActivity.Case>` | `getCases()` Get the cases for this switch.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity

      `getJoinCondition, getLinkSources, getLinkTargets, getName`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `getSuppressJoinFailure`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SwitchActivity

          public SwitchActivity(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getCases

          public java.util.List<SwitchActivity.Case> getCases()

      Get the cases for this switch.
      Returns:
        the cases